Forum Question: iBook G4 iTunes Updates

hi i have a new i pod touch but cant seem to work it with my ibook g4 any ideas for it? thankyou

— jamie mackie

Comments: 3 Responses to “iBook G4 iTunes Updates”

    12/25/09 @ 10:18 am

    I think an iBook G4 only has USB (not USB2) — and USB2 is required to connect an iPod Touch. That’s one guess, anyway. What OS are you running? And What version of iTunes? I think you need at least Leopard (Mac OS X 10.5) and a recent version of iTunes (8 or 9) to connect an iPod Touch. That could be it too.

    David Stehman
    5/13/12 @ 11:49 am

    I can not get itunes to work on my iBook G4. It tells me that I need quicktime 7.5.5. I have done this and put itunes 9.5 installed. Still nothing same thing this is my first mac not so thrilled with it so far. I know it is old but still a mac right ? HELP thanks

      5/13/12 @ 1:02 pm

      An iBook G4 is old, indeed. So it is just a matter of getting the software from the same era. That could be hard to do. I wouldn’t judge your Mac experience on 10-year-old hardware.

Comments Closed.